%define major	0
%define apiver	2.0
%define libname	%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname -d %{name}
%define develsname	%mklibname -d -s %{name}

%define sname	SDL2_ttf

Summary:	Simple DirectMedia Layer 2 - Sample TrueType Font Library
Name:		sdl2_ttf
Version:	2.0.12
Release:	%mkrel 1
License:	Zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_ttf/
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{sname}-%{version}.tar.gz
Patch0:		sdl2_ttf-2.0.12-mga-link.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(freetype2)

%description
This is a sample library which allows you to use TrueType fonts in your SDL2
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.
%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries
Conflicts:	showfont
Conflicts:	%{_lib}SDL_ttf2.0_0-test

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

install -d %{buildroot}%{_bindir}
install -m755 .libs/{showfont,glfont} %{buildroot}%{_bindir}

%files -n %{libname}-test
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{libname}
%doc COPYING.txt
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc

%files -n %{develsname}
%{_libdir}/lib*.la
%{_libdir}/lib*.a


%changelog
* Sun Dec 08 2013 blue_prawn <blue_prawn> 2.0.12-1.mga4
+ Revision: 555869
- providing SDL's Zlib license to our users
- static split

  + akien <akien>
    - Fixed licensing
    - Adapted forked specfile to sdl2_ttf
    - Forking SDL_ttf into sdl2_ttf

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - fix linkage
    - new version 2.0.11
    - fix linkage
    - rebuild

  + blino <blino>
    - remove old ldconfig scriptlets
    - imported package SDL_ttf

